openSUSE Security Update : xrdp (xrdp-458)

This script is Copyright (C) 2009-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update fixes multiple buffer overflows that can be exploited
remotely to execute arbitrary code. (CVE-2008-5902, CVE-2008-5903,
CVE-2008-5904) Additionally xrdp does not register remote session as
local anymore.

Please note, the previous update was missing the patch.

See also :

https://bugzilla.novell.com/show_bug.cgi?id=441751
https://bugzilla.novell.com/show_bug.cgi?id=450898

Solution :

Update the affected xrdp package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 40326 ()

Bugtraq ID:

CVE ID: CVE-2008-5902
CVE-2008-5903
CVE-2008-5904

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now